#include <stdio.h>
#include <math.h>
int main()
{
int n,q;
scanf("%i%i" ,&n ,&q);
int i,a[n],b[q],v,m;
for(i=0;i<n;i++)
scanf("%i" ,&a[i]);
for(i=0;i<q;i++)
scanf("%i" ,&b[i]);
for(i=0;i<q;i++){
v=0;
m=0;
for(int j=0;j<n;j++){
if(b[i]<a[j])
v++;
else if(b[i]>a[j])
m++;
}
printf("%i\n" ,abs(v-m));
}
    return 0;
}